org.hibernate.search.indexes.serialization.spi

## Interface SerializationProvider

- All Superinterfaces:
    Service
  All Known Implementing Classes:
    AvroSerializationProvider

      public interface SerializationProvider
      extends Service

  Provides access to a serializer and deserializer to send the necessary work load for remote backends over the wire.

  Note: Providers are encouraged to offer a backward and forward compatible protocol.

  Implementors are encouraged to implement a descriptive `toString()` method for logging purposes.

  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Deserializer` | `getDeserializer()` This method will be invoked when any thread needs a Deserializer: implementors of this Service can return the same instance multiple times if the Deserializer implementation is threadsafe.
    `Serializer` | `getSerializer()` This method will be invoked when any thread needs a Serializer: implementors of this Service can return the same instance multiple times if the Serializer implementation is threadsafe.

- - ### Method Detail

    - #### getSerializer

          Serializer getSerializer()

      This method will be invoked when any thread needs a Serializer: implementors of this Service can return the same instance multiple times if the Serializer implementation is threadsafe. In all other cases return a new instance. An obtained Serializer should not be shared across threads.
      Returns:
        the initialized Serializer ready for usage

    - #### getDeserializer

          Deserializer getDeserializer()

      This method will be invoked when any thread needs a Deserializer: implementors of this Service can return the same instance multiple times if the Deserializer implementation is threadsafe. In all other cases return a new instance. An obtained Deserializer should not be shared across threads.
      Returns:
        the initialized Deserializer ready for usage

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved